Method: projects.locations.exclusionWindows.create

Creates a new exclusion window. Once created, an exclusion window must be started with exclusionWindows.start to take effect.

HTTP request

POST https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*}/exclusionWindows

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location where the exclusion window will be created. Format: projects/{project}/locations/{location}.

Query parameters

Parameters
exclusionWindowId

string

Required. The ID to use for the exclusionWindow, which will become the final component of the exclusionWindow's resource name. Required.

This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/. Must start with a letter and cannot end with a hyphen.

Request body

The request body contains an instance of ExclusionWindow.

Response body

If successful, the response body contains a newly created instance of ExclusionWindow.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.